How can we help you today?
Start a new topic
Answered

M700 firmware upgrade fails

I am trying to upgrade a M700 from 3.24 to 3.55. The upgrade fails with the following error:


loc2 .Not  2017-05-31T08:48:46Z 173-[ FWU Downloading File http://dect.snom.com/M700/M700_v0355.fwu]
loc2 .Not  2017-05-31T08:48:46Z 173-[ Base FWU started]
loc2 .Not  2017-05-31T08:48:46Z 173-[ GFT_DOWNLOAD_CFM]
loc2 .Debug 2017-05-31T08:48:46Z 173-[ Base FWU ended with error code 2409 (FWUMF_FWUE_FILE_NOT_FOUND): File not found]
loc6 .Debug 2017-05-31T08:48:48Z 173-[ SYNCMGR: _SyncMgrUpdateSystem2Timestamp updated due to change; State Idle]
loc2 .Not  2017-05-31T08:48:48Z 173-[ FWU Downloading File http://dect.snom.com/M700/M700_v0355.fwu]
loc2 .Not  2017-05-31T08:48:48Z 173-[ Base FWU started]
loc2 .Debug 2017-05-31T08:48:48Z 173-[ Base FWU ended with error code 2409 (FWUMF_FWUE_FILE_NOT_FOUND): File not found]

 


Best Answer

Hello,


Please try upgrading with the following instructions :


IMPORTANT NOTES:

 

After upgrading to the version 355BXX you WILL NOT ABLE TO DOWNGRADE TO THE VERSION 324BXX. Please take this upgrade carefullyThe upgrade will remove all the manually uploaded contacts from the global addressbook. Please make sure to re-upload the addressbook after the update.In case you are doing the update from a 323 version you need to update to the version 324B12 before applying the version 355


You can do the upgrade using the firmware hosted on our server:


1) logon on the base and click on the Firmware Update link

2) insert http://dect.snom.com into the Firmware update server address field 

3) /B355B25H355B25 into the Firmware Path field

4) Click on the Save/Start Update button

5) Click on the Update All Base stations radio button (OPTIONAL: needed for Multicell installations only)

6) Insert 355 into the Required version field

6a) Insert 25 into the Required Branch field

7) Click on the Start Update button


Once all the bases are updated to the new version you should update the handsets as well:


1) logon on the base and click on the Firmware Update link

2) insert http://dect.snom.com into the Firmware update server address field 

3) /B355B25H355B25 into the Firmware Path field

4) insert 355 into the required version for all your handsets

4a) Insert 25 into the Required Branch field

5) Click on the Save/Start Update button


Now the handsets will start the download over the air, the firmware update will be completed leaving the handsets into the charger.


The same thing with an M300: I am trying to upgrade a M300 from 3.24B0012 to 3.55B0025. The upgrade doesn't start, it only says "The parameters are successfully saved 

You will be redirected after 3 seconds" and then nothing happens!

I entered the following data:

Firmware update server address: http://dect.snom.com

Firmware path: <empty>

Update Base Stations

Required Version: 355


Any suggestions?

 It looks like the firmware file at http://dect.snom.com/M700/M700_v0355.fwu is missing.

Any status on this. I have an install with 25 M700 in the works.

 

Answer

Hello,


Please try upgrading with the following instructions :


IMPORTANT NOTES:

 

After upgrading to the version 355BXX you WILL NOT ABLE TO DOWNGRADE TO THE VERSION 324BXX. Please take this upgrade carefullyThe upgrade will remove all the manually uploaded contacts from the global addressbook. Please make sure to re-upload the addressbook after the update.In case you are doing the update from a 323 version you need to update to the version 324B12 before applying the version 355


You can do the upgrade using the firmware hosted on our server:


1) logon on the base and click on the Firmware Update link

2) insert http://dect.snom.com into the Firmware update server address field 

3) /B355B25H355B25 into the Firmware Path field

4) Click on the Save/Start Update button

5) Click on the Update All Base stations radio button (OPTIONAL: needed for Multicell installations only)

6) Insert 355 into the Required version field

6a) Insert 25 into the Required Branch field

7) Click on the Start Update button


Once all the bases are updated to the new version you should update the handsets as well:


1) logon on the base and click on the Firmware Update link

2) insert http://dect.snom.com into the Firmware update server address field 

3) /B355B25H355B25 into the Firmware Path field

4) insert 355 into the required version for all your handsets

4a) Insert 25 into the Required Branch field

5) Click on the Save/Start Update button


Now the handsets will start the download over the air, the firmware update will be completed leaving the handsets into the charger.

Thank you... it worked but you'll have to enter B355B25H355B25 into the Firmware Path field without the leading "/"!

This worked. As Hans mentioned the leading / is not needed on the firmware path.

When and why did this process change to require the upgrade path? I have upgraded many M700 base stations to 355 in the last few months and have never needed to enter the firmware path.

Will this be the case for future upgrades?

Perhaps the Wiki should be updated to reflect this change. Honestly, the Wiki should have been updated before this change was rolled out so as to prevent these types of issues in the future.

 

Dear Alan,

firmware path will not be used for the next official releases but only with beta firmware.

Wiki will be updated accordingly.


Thanks for your feedback


Best regards


Thank you for the quick reply.


I did not realize that B355B25H355B25 is beta? I did not see any mention of this in the release info. How do we determine if a particular software release is beta? I see that Version BSV355B16 HSV355B16 (BETA) - May 2016 is tagged as beta but B355B25H355B25 has no such tag.


How would one load version BSV355B22 HSV355B22?  Does the firmware path need to be set to BSV355B22HSV355B22 with version 355 and branch 22?


Regards,

Alan

Dear Alan,

usually we will send beta only with support tickets.

you can find the releases notes here:

http://wiki.snom.com/M-series/Firmware/Release_Notes

Now the 355B25 is not a beta anymore but it's official so i suggest you to use this latest version.

http://wiki.snom.com/M-series/Firmware



Regards


 I see. I misinterpreted your comment that the firmware path would only be used for beta versions and assumed that 355B25 was beta. Thank you for clarifying that and thank you for your help.


Regards

Login or Signup to post a comment